App\Library\Amazon\Classes\Tires:
    xml_root_name: Tires
    properties:
        vehicleServiceType:
            expose: true
            access_type: public_method
            serialized_name: VehicleServiceType
            accessor:
                getter: getVehicleServiceType
                setter: setVehicleServiceType
            type: string
        constructionType:
            expose: true
            access_type: public_method
            serialized_name: ConstructionType
            accessor:
                getter: getConstructionType
                setter: setConstructionType
            type: string
        loadIndex:
            expose: true
            access_type: public_method
            serialized_name: LoadIndex
            accessor:
                getter: getLoadIndex
                setter: setLoadIndex
            type: integer
        speedRating:
            expose: true
            access_type: public_method
            serialized_name: SpeedRating
            accessor:
                getter: getSpeedRating
                setter: setSpeedRating
            type: string
        uTQGRating:
            expose: true
            access_type: public_method
            serialized_name: UTQGRating
            accessor:
                getter: getUTQGRating
                setter: setUTQGRating
            type: string
        specialFeatures:
            expose: true
            access_type: public_method
            serialized_name: SpecialFeatures
            accessor:
                getter: getSpecialFeatures
                setter: setSpecialFeatures
            type: string
        modelName:
            expose: true
            access_type: public_method
            serialized_name: ModelName
            accessor:
                getter: getModelName
                setter: setModelName
            type: string
        rimDiameter:
            expose: true
            access_type: public_method
            serialized_name: RimDiameter
            accessor:
                getter: getRimDiameter
                setter: setRimDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        sectionWidth:
            expose: true
            access_type: public_method
            serialized_name: SectionWidth
            accessor:
                getter: getSectionWidth
                setter: setSectionWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        tireAspectRatio:
            expose: true
            access_type: public_method
            serialized_name: TireAspectRatio
            accessor:
                getter: getTireAspectRatio
                setter: setTireAspectRatio
            type: App\Library\Amazon\Classes\LengthDimensionType
        treadDepth:
            expose: true
            access_type: public_method
            serialized_name: TreadDepth
            accessor:
                getter: getTreadDepth
                setter: setTreadDepth
            type: App\Library\Amazon\Classes\LengthDimensionType
        partTypeID:
            expose: true
            access_type: public_method
            serialized_name: PartTypeID
            accessor:
                getter: getPartTypeID
                setter: setPartTypeID
            type: integer
        itemPackageQuantity:
            expose: true
            access_type: public_method
            serialized_name: ItemPackageQuantity
            accessor:
                getter: getItemPackageQuantity
                setter: setItemPackageQuantity
            type: integer
        colorSpecification:
            expose: true
            access_type: public_method
            serialized_name: ColorSpecification
            accessor:
                getter: getColorSpecification
                setter: setColorSpecification
            type: App\Library\Amazon\Classes\ColorSpecification
        material:
            expose: true
            access_type: public_method
            serialized_name: Material
            accessor:
                getter: getMaterial
                setter: setMaterial
            type: string
        oemEquivalentPartNumber:
            expose: true
            access_type: public_method
            serialized_name: OemEquivalentPartNumber
            accessor:
                getter: getOemEquivalentPartNumber
                setter: setOemEquivalentPartNumber
            type: string
        seasons:
            expose: true
            access_type: public_method
            serialized_name: Seasons
            accessor:
                getter: getSeasons
                setter: setSeasons
            type: string
        tireType:
            expose: true
            access_type: public_method
            serialized_name: TireType
            accessor:
                getter: getTireType
                setter: setTireType
            type: string
        treadType:
            expose: true
            access_type: public_method
            serialized_name: TreadType
            accessor:
                getter: getTreadType
                setter: setTreadType
            type: string
        amperage:
            expose: true
            access_type: public_method
            serialized_name: Amperage
            accessor:
                getter: getAmperage
                setter: setAmperage
            type: App\Library\Amazon\Classes\AmperageDimensionType
        careInstructions:
            expose: true
            access_type: public_method
            serialized_name: CareInstructions
            accessor:
                getter: getCareInstructions
                setter: setCareInstructions
            type: string
        diameter:
            expose: true
            access_type: public_method
            serialized_name: Diameter
            accessor:
                getter: getDiameter
                setter: setDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayLength:
            expose: true
            access_type: public_method
            serialized_name: DisplayLength
            accessor:
                getter: getDisplayLength
                setter: setDisplayLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayVolume:
            expose: true
            access_type: public_method
            serialized_name: DisplayVolume
            accessor:
                getter: getDisplayVolume
                setter: setDisplayVolume
            type: App\Library\Amazon\Classes\VolumeDimensionType
        displayWeight:
            expose: true
            access_type: public_method
            serialized_name: DisplayWeight
            accessor:
                getter: getDisplayWeight
                setter: setDisplayWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        lifestyle:
            expose: true
            access_type: public_method
            serialized_name: Lifestyle
            accessor:
                getter: getLifestyle
                setter: setLifestyle
            type: string
        manufacturerWarrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: ManufacturerWarrantyDescription
            accessor:
                getter: getManufacturerWarrantyDescription
                setter: setManufacturerWarrantyDescription
            type: string
        modelYear:
            expose: true
            access_type: public_method
            serialized_name: ModelYear
            accessor:
                getter: getModelYear
                setter: setModelYear
            type: integer
        numberOfPieces:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPieces
            accessor:
                getter: getNumberOfPieces
                setter: setNumberOfPieces
            type: integer
        recallDescription:
            expose: true
            access_type: public_method
            serialized_name: RecallDescription
            accessor:
                getter: getRecallDescription
                setter: setRecallDescription
            type: string
        size:
            expose: true
            access_type: public_method
            serialized_name: Size
            accessor:
                getter: getSize
                setter: setSize
            type: string
        sizeMap:
            expose: true
            access_type: public_method
            serialized_name: SizeMap
            accessor:
                getter: getSizeMap
                setter: setSizeMap
            type: string
        specificationMet:
            expose: true
            access_type: public_method
            serialized_name: SpecificationMet
            accessor:
                getter: getSpecificationMet
                setter: setSpecificationMet
            type: string
        styleName:
            expose: true
            access_type: public_method
            serialized_name: StyleName
            accessor:
                getter: getStyleName
                setter: setStyleName
            type: string
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\Tires\VariationDataAType
        voltage:
            expose: true
            access_type: public_method
            serialized_name: Voltage
            accessor:
                getter: getVoltage
                setter: setVoltage
            type: App\Library\Amazon\Classes\VoltageDecimalDimensionType
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: App\Library\Amazon\Classes\WattageDimensionType
        vehicleFitmentCode:
            expose: true
            access_type: public_method
            serialized_name: VehicleFitmentCode
            accessor:
                getter: getVehicleFitmentCode
                setter: setVehicleFitmentCode
            type: string
